# [Django Tabler](https://app-generator.dev/docs/products/django-libs/theme-tabler.html)

Modern template for **[Django Admin](https://app-generator.dev/docs/products/django-libs/theme-tabler.html)**, Auth Pages (registration included) crafted on top of **Tabler**, an open-source **Bootstrap** design.

- [Django Admin Tabler](https://app-generator.dev/docs/products/django-libs/theme-tabler.html) - **Documentation** & Support Links
- [Django Tabler](https://app-generator.dev/product/tabler/django/) - The product that uses the library
- [Getting Started with Django](https://app-generator.dev/docs/technologies/django/index.html) - Learn how to code **Django** Projects

<br />

## **Features**

- Design: **[Tabler](https://app-generator.dev/docs/templates/bootstrap/tabler.html)** (Bootstrap)
- **Sections Covered**: 
  - `Admin Section`, reserved for `superusers`
  - `All pages` managed by `Django.contrib.AUTH`
  - `Registration` page
  - `Misc pages`: colors, icons, typography, blank-page 
  
<br />

### Customize with [Django App Generator - Tabler Design](https://app-generator.dev/tools/django-generator/tabler/)

- Access the [App Generator](https://app-generator.dev/tools/django-generator/) page
- Select **Tabler Dashboard** as the preferred design
- (Optional) Design Database: edit models and fields
- (Optional) Edit the fields for the extended user model
- (Optional) Enable OAuth for GitHub
- (Optional) Add Celery (async tasks)
- (Optional) Enable Dynamic API Module
- Docker Scripts
- Render CI/Cd Scripts

**The generated Django project is available as a ZIP Archive and also uploaded to GitHub.**

<br />

![Django Tabler - Modern template for Django Admin Section crafted on top of a modern Bootstrap, Open-Source Design.](https://github.com/user-attachments/assets/f1fa943d-7e6c-4346-9734-281a8cd2e093)

<br />

## [Material Dashboard PRO Version](https://app-generator.dev/product/material-dashboard-pro/django/)

> The premium version provides more features, priority on support, and is more often updated - [Live Demo](https://django-material-dash2-pro.onrender.com).

- **Simple, Easy-to-Extend** Codebase
- **Material Dashboard** Design - PRO Version
- Bootstrap 5 CSS
- **OAuth** - Github
- **Extended User Profile**
- **API** via DRF 
- **Charts** via ApexJS 
- **Celery** (async tasks)
- **Deployment-Ready** for Render 

![Django Material Dash2 PRO - Premium starter crafted by App-Generator.](https://github.com/user-attachments/assets/c75c6e67-a940-4d56-9855-070f901ab5ab)

<br />

---
**[Django Tabler](https://app-generator.dev/docs/products/django-libs/theme-tabler.html)** - Modern Django Admin Interface provided by **[App-Generator](https://app-generator.dev)**
